
From: David Howells <dhowells@redhat.com>

This fixes a bit of iSeries code that hadn't been changed to reflect that
cpumask_t is now a struct and not an integer type.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/irq.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN arch/ppc64/kernel/irq.c~ppc64-fix-usage-of-cpumask_t-on-iseries arch/ppc64/kernel/irq.c
--- 25/arch/ppc64/kernel/irq.c~ppc64-fix-usage-of-cpumask_t-on-iseries	Fri Jun 25 15:35:36 2004
+++ 25-akpm/arch/ppc64/kernel/irq.c	Fri Jun 25 15:35:36 2004
@@ -807,11 +807,10 @@ static int prof_cpu_mask_write_proc (str
 	{
 		unsigned i;
 		for (i=0; i<NR_CPUS; ++i) {
-			if ( paca[i].prof_buffer && (new_value & 1) )
+			if ( paca[i].prof_buffer && cpu_isset(1, new_value) )
 				paca[i].prof_enabled = 1;
 			else
 				paca[i].prof_enabled = 0;
-			new_value >>= 1;
 		}
 	}
 #endif
_
